SND_SOC_COMPONENT_UP(9)

NAME
snd_soc_component_update_bits - Perform read/modify/write cycle

SYNOPSIS

int snd_soc_component_update_bits(struct snd_soc_component * component, unsigned int reg, unsigned int mask, unsigned int val);

ARGUMENTS

component
    Component to update

reg
    Register to update

mask
    Mask that specifies which bits to update

val
    New value for the bits specified by mask

RETURN

1 if the operation was successful and the value of the register changed, 0 if the operation was successful, but the value did not change. Returns a negative error code otherwise.

COPYRIGHT